# Uses of Class
org.apache.lucene.queryparser.surround.parser.QueryParserTokenManager

Packages that use QueryParserTokenManager
Package
Description
org.apache.lucene.queryparser.surround.parser
This package contains the QueryParser.jj source file for the Surround parser.

## Uses of QueryParserTokenManager in org.apache.lucene.queryparser.surround.parser

Fields in org.apache.lucene.queryparser.surround.parser declared as QueryParserTokenManager
Modifier and Type
Field
Description
`QueryParserTokenManager`
QueryParser.`token_source`
Generated Token Manager.
Methods in org.apache.lucene.queryparser.surround.parser with parameters of type QueryParserTokenManager
Modifier and Type
Method
Description
`void`
QueryParser.`ReInit(QueryParserTokenManager tm)`
Reinitialise.
Constructors in org.apache.lucene.queryparser.surround.parser with parameters of type QueryParserTokenManager
Modifier
Constructor
Description
``
`QueryParser(QueryParserTokenManager tm)`
Constructor with generated Token Manager.